/***************************************************************************
                          dialog_title.h  -  description
                             -------------------
    begin                : Mon Mar 27 2000
    copyright            : (C) 2000 - 2003 by M. Hoverath
    email                : mario.hoverath@uni-koeln.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _TITLEDIALOG
#define _TITLEDIALOG

/* include files for QT */
#include <qvariant.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* application specific includes */
#include "kglmolecule.h"
#include "dialog_title_ui.h"

/* class CTitleDialog */
class CTitleDialog : public CTitleDialogUI
{
  Q_OBJECT

public:
  /* constructor */
  CTitleDialog(QWidget *parent = 0, const char *name = 0, WFlags f = 0);

  /* destructor */
  ~CTitleDialog();

public:
  /* get... */
  CKGLMolecule* getMolecule(void);

  /* set... */
  void setMolecule(CKGLMolecule *mol);

private slots:
  void titleLineEditChanged(const QString& newTitle);  
  void initWidgets(void);

protected:
  /* protected members */
  CKGLMolecule *molecule;
};

#endif /* _TITLEDIALOG */
